PosixSignalDispatcher::CannotAttachHandler Class Reference

Exception thrown when AttachHandler() fails due to a runtime error. More...

`#include <PosixSignalDispatcher.h>`

Inheritance diagram for PosixSignalDispatcher::CannotAttachHandler:
[legend]
Collaboration diagram for PosixSignalDispatcher::CannotAttachHandler:
[legend]

## Public Member Functions

| CannotAttachHandler (const std::string &whatArg)

## Detailed Description

Exception thrown when AttachHandler() fails due to a runtime error.

Definition at line 47 of file PosixSignalDispatcher.h.

## Constructor & Destructor Documentation

## CannotAttachHandler()

PosixSignalDispatcher::CannotAttachHandler::CannotAttachHandler | ( | const std::string & | whatArg | ) |

inline

Definition at line 50 of file PosixSignalDispatcher.h.

The documentation for this class was generated from the following file:

- PosixSignalDispatcher.h